package com.hello.talk;

import com.hello.framework.Game;
import com.hello.model.TFAFGameModel;
import org.aiwolf.client.lib.ComingoutContentBuilder;
import org.aiwolf.client.lib.ContentBuilder;
import org.aiwolf.common.data.Role;

/**
 * 生存者が3人になったら裏切りCO
 */


public class TalkCO5WolfLast3PP extends TFAFTalkTactic {
    @Override
    public ContentBuilder talkImpl(int turn, int skip, int utter, TFAFGameModel model, Game game) {
        if (game.getAlives().size() == 3 && game.getSelf().coRole == null) {
            return new ComingoutContentBuilder(game.getSelf().agent, Role.POSSESSED);
        }
        return null;
    }



}
