package com.hello.target;

import com.hello.framework.Game;
import com.hello.framework.GameAgent;
import com.hello.util.Utils;
import com.hello.model.TFAFGameModel;

import java.util.List;

public class VoteForWolf5verByWolf extends TFAFTargetTactic {

    @Override
    public GameAgent targetImpl(TFAFGameModel model, Game game) {
        if (game.getDay() == 1) {
            List<GameAgent> list = game.getAliveOthers();
            Utils.sortByScore(list, model.getEvilScore(), false);
            GameAgent wolfCand = list.get(0);
            return wolfCand;
        }
        return null;
    }

}
