package com.hello.target;

import com.hello.framework.Game;
import com.hello.framework.GameAgent;
import com.hello.util.Utils;
import com.hello.model.TFAFGameModel;

import java.util.List;

public class VoteWithoutWolf extends TFAFTargetTactic {

    @Override
    public GameAgent targetImpl(TFAFGameModel model, Game game) {
        List<GameAgent> list = game.getAliveOthers();
        Utils.sortByScore(list, model.getEvilScore(), false);
        GameAgent wolfCand = list.get(list.size() - 1);
        return wolfCand;
    }

}
