package com.hello.role;

import com.hello.framework.AbstractRole;
import com.hello.framework.Game;
import com.hello.framework.GameModel;
import com.hello.model.TFAFGameModel;

public abstract class TFAFBaseRole extends AbstractRole {

    public TFAFBaseRole(Game game) {
        super(game);
    }

    @Override
    protected GameModel createModel(Game game) {
        return new TFAFGameModel(game);
    }

}
