package com.hello.role;

import com.hello.framework.Day;
import com.hello.framework.Game;
import com.hello.talk.*;
import com.hello.target.VoteForWolf5ver;
import com.hello.target.VoteLast3PPTacticbyVil;
import org.aiwolf.common.data.Role;


import java.security.SecureRandom;

public class VillagerRole5ver extends TFAFBaseRole {

    public VillagerRole5ver(Game game) {
        super(game);

        int kibun = new SecureRandom().nextInt(1);

        if (kibun == 0) {

            talkTactics.add(new TalkVote5VillDay1(), 10000, Day.on(1), Repeat.MULTI);
            talkTactics.add(new TalkVote5VillDay2(), 10000, Day.on(2), Repeat.MULTI);

            // 投票戦略
            voteTactics.add(new VoteForWolf5ver(), Day.on(1));
            revoteTactics.add(new VoteForWolf5ver(), Day.on(1));

            // 最終日狼スコアトップに投票する。
            voteTactics.add(new VoteForWolf5ver(), Day.on(2));
            revoteTactics.add(new VoteForWolf5ver(), Day.on(2));

        } else {
            //初日占いCO
            talkTactics.add(new TalkCO(Role.SEER), 10000, Day.on(1));
            // 占い師CO以外に黒出し
            talkTactics.add(new TalkDivineBlackAttacktoNoSeer(), 10000, Day.on(1));
            //黒判定を宣言したエージェントへVote宣言をする。
            talkTactics.add(new TalkVoteForFakeBlack(), 9000, Day.on(1));

            //最終日裏切り者CO
            talkTactics.add(new TalkSlideCO(Role.POSSESSED), 10000, Day.on(2));

            // 投票戦略
            voteTactics.add(new VoteForWolf5ver(), Day.on(1));
            revoteTactics.add(new VoteForWolf5ver(), Day.on(1));
            // 最終日狼スコアトップに投票する。
            voteTactics.add(new VoteForWolf5ver(), Day.on(2));
            revoteTactics.add(new VoteForWolf5ver(), Day.on(2));




        }
    }
}
