package com.hello.role;

import com.hello.framework.Day;
import com.hello.framework.Game;
import com.hello.talk.*;
import com.hello.target.AttackWithoutCOSeer;
import com.hello.target.RevoteToLive5Wolf;
import com.hello.target.VoteToLive5Wolf;
import org.aiwolf.common.data.Role;

import java.security.SecureRandom;

public class WerewolfRole5ver extends TFAFBaseRole {

    public WerewolfRole5ver(Game game) {
        super(game);

        int kibun = new SecureRandom().nextInt(2);

        if (kibun == 0) {
            // 最初のターン、占いCO
            talkTactics.add(new TalkCO(Role.SEER), 10000, Day.on(1));
            // 占い師CO以外に黒出し
            talkTactics.add(new TalkDivineBlackAttacktoNoSeer(), 10000, Day.on(1));
            //黒判定を宣言したエージェントへVote宣言をする。
            talkTactics.add(new TalkVoteForFakeBlack(), 9000, Day.on(1));

            //最終日に裏切者CO
            talkTactics.add(new TalkSlideCO(Role.POSSESSED), 10000, Day.on(2));
            talkTactics.add(new TalkVote5WolfDay2(), 9000, Day.on(2), Repeat.MULTI);

            //最大得票数に乗っかる
            voteTactics.add(new VoteToLive5Wolf());
            //最大得票数に乗っかる
            revoteTactics.add(new RevoteToLive5Wolf());
            //占い師を避けて襲撃
            attackTactics.add(new AttackWithoutCOSeer());
        } else {


            //最終日に裏切者CO
            talkTactics.add(new TalkCO(Role.POSSESSED), 10000, Day.on(2));

            talkTactics.add(new TalkVote5WolfDay1(), 9000, Day.on(1), Repeat.MULTI);
            talkTactics.add(new TalkVote5WolfDay1(), 8000, Day.on(1), Repeat.MULTI);

            talkTactics.add(new TalkVote5WolfDay2(), 5000, Day.on(2), Repeat.MULTI);
            talkTactics.add(new TalkVote5WolfDay2(), 4000, Day.on(2), Repeat.MULTI);
            //最大得票数に乗っかる
            voteTactics.add(new VoteToLive5Wolf());
            //最大得票数に乗っかる
            revoteTactics.add(new RevoteToLive5Wolf());
            //占い師を避けて襲撃
            attackTactics.add(new AttackWithoutCOSeer());
        }

    }
}
