package com.hello.talk;

import com.hello.framework.Game;
import com.hello.framework.GameModel;
import com.hello.framework.TalkTactic;
import com.hello.model.TFAFGameModel;
import org.aiwolf.client.lib.ContentBuilder;

public abstract class TFAFTalkTactic extends TalkTactic {

    @Override
    public ContentBuilder talk(int turn, int skip, int utter, GameModel model, Game game) {
        return talkImpl(turn, skip, utter, (TFAFGameModel) model, game);
    }

    public abstract ContentBuilder talkImpl(int turn, int skip, int utter, TFAFGameModel model, Game game);

}
