package com.hello.talk;

import com.hello.framework.Game;
import com.hello.model.TFAFGameModel;
import org.aiwolf.client.lib.ComingoutContentBuilder;
import org.aiwolf.client.lib.ContentBuilder;
import org.aiwolf.client.lib.Topic;
import org.aiwolf.common.data.Role;

import java.util.stream.Collectors;

/**
 * 人狼1日目用:  占い師CO希望
 */
public class WhisperCOSeer extends TFAFTalkTactic {

    @Override
    public ContentBuilder talkImpl(int turn, int skip, int utter, TFAFGameModel model, Game game) {
        if (game.getSelf().whisperList.stream().filter(x -> x.getTopic() == Topic.COMINGOUT && x.getRole() == Role.SEER).collect(Collectors.toList()).isEmpty()) {
            return new ComingoutContentBuilder(game.getSelf().agent, Role.SEER);
        }
        return null;
    }
}
